[v-cloak] {
    display: none !important;
}
body{
    padding: 0;
    margin: 0;
    background-color: #1a1e21;
}


.preRegDiv{
    width: 100%;
    overflow: hidden;
}
.preRegDiv #topMenu{
    background-color: rgba(41, 41, 41, 0.92);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    width: 100%;
    height: 0;
    padding-bottom: 14%;
    position: fixed;
    z-index: 99;
}
.preRegDiv #topMenu .topDownlowd{
    position: absolute;
    top: 15%;
    left: 4%;
    width: 31%;
}
.preRegDiv #topMenu .topDownlowd a{
    display: inline-block;
    width: 100%;
}
.preRegDiv #topMenu .topDownlowd a img{
    width: 100%;
}
.preRegDiv #topMenu .topDownUp {
    position: absolute;
    top: 7%;
    right: 1%;
    cursor: pointer;
    width: 25%;
}
.preRegDiv #topMenu .topDownUp a{
    display: inline-block;
}
.preRegDiv #topMenu .topDownUp a.top_social {
    cursor: pointer;
    background-repeat: no-repeat;
    background-size: cover;
    width: 50%;
    height: 0;
    padding-bottom: 50%;
    transition: all .3s ease-in-out;
}
.preRegDiv #topMenu .topDownUp a.top_social.top_social_fb {
    background-position: -20%;
}
.preRegDiv #topMenu .topDownUp a.top_social.top_social_group {
    background-position: 115%;
}
.no-webp .preRegDiv #topMenu .topDownUp a.top_social{
    background-image: url(/skin/images/m/right-btn-defult.png);
}
.webp .preRegDiv #topMenu .topDownUp a.top_social {
    background-image: url(/skin/images/m/webp/right-btn-defult.webp);
}
.no-webp .preRegDiv #topMenu .topDownUp a.top_social:active{
    background-image: url(/skin/images/m/right-btn.png);
}
.webp .preRegDiv #topMenu .topDownUp a.top_social:active {
    background-image: url(/skin/images/m/webp/right-btn.webp);
}
/*.preRegDiv #topMenu .topDownUp img{*/
/*    width: 100%;*/
/*    transform-origin: center center;*/
/*    transition: transform 0.3s ease;*/
/*}*/
/*.preRegDiv #topMenu .topDownUp img.icon-up {*/
/*    transform: scaleY(-1);*/
/*}*/

/* section_top */
.preRegDiv .section_top {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 185%;
    background-position: top;
    background-repeat: no-repeat;
    background-size: 100%;
    background-color: white;
    z-index: 6;
}
.no-webp .preRegDiv .section_top{
    background-image: url(/event/pre-register/img/top-bg.jpg);
}
.webp .preRegDiv .section_top{
    background-image: url(/event/pre-register/img/top-bg.webp);
}

.preRegDiv .section_top .top-emoji{
    position: absolute;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;

}
/* top-emoji-sweat */
.preRegDiv .section_top .top-emoji.top-emoji-sweat{
    width: 8%;
    height: 0;
    padding-bottom: 12%;
    top: 8%;
    left: 48%;
    animation: slideFade 3s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-sweat{
    background-image: url(/skin/images/top-emoji-sweat.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-sweat{
    background-image: url(/skin/images/webp/top-emoji-sweat.webp);
}
/* top-emoji-star */
.preRegDiv .section_top .top-emoji.top-emoji-star{
    width: 52%;
    height: 0;
    padding-bottom: 52%;
    top: 15%;
    left: 23%;
    animation: blink-soft 1.2s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-star{
    background-image: url(/skin/images/top-emoji-star.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-star{
    background-image: url(/skin/images/webp/top-emoji-star.webp);
}
/* top-emoji-haha */
.preRegDiv .section_top .top-emoji.top-emoji-haha{
    width: 12%;
    height: 0;
    padding-bottom: 15%;
    top: 15%;
    left: 18%;
    animation: swing .4s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-haha{
    background-image: url(/skin/images/top-emoji-haha.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-haha{
    background-image: url(/skin/images/webp/top-emoji-haha.webp);
}
/* top-emoji-sweat-right */
.preRegDiv .section_top .top-emoji.top-emoji-sweat-right{
    height: 0;
    animation: pulse2 1.2s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-sweat-right{
    background-image: url(/skin/images/top-emoji-sweat-right.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-sweat-right{
    background-image: url(/skin/images/webp/top-emoji-sweat-right.webp);
}
.preRegDiv .section_top .top-emoji.top-emoji-sweat-right.top-emoji-sweat-right1{
    width: 4%;
    padding-bottom: 3%;
    top: 52%;
    left: 67%;
}
.preRegDiv .section_top .top-emoji.top-emoji-sweat-right.top-emoji-sweat-right2{
    width: 4%;
    padding-bottom: 3%;
    top: 52%;
    right: 0;
    animation: pulse3 1.2s ease-in-out infinite;
}
/* top-emoji-sweat-left */
.preRegDiv .section_top .top-emoji.top-emoji-sweat-left{
    width: 4%;
    height: 0;
    padding-bottom: 4%;
    top: 52%;
    left: 51%;
    animation: pulse2 1.2s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-sweat-left{
    background-image: url(/skin/images/top-emoji-sweat-left.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-sweat-left{
    background-image: url(/skin/images/webp/top-emoji-sweat-left.webp);
}
/* top-emoji-angry-left */
.preRegDiv .section_top .top-emoji.top-emoji-angry-left{
    height: 0;
    animation: pulse2 .7s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-angry-left{
    background-image: url(/skin/images/top-emoji-angry-left.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-angry-left{
    background-image: url(/skin/images/webp/top-emoji-angry-left.webp);
}
.preRegDiv .section_top .top-emoji.top-emoji-angry-left.top-emoji-angry-left1{
    width: 8%;
    padding-bottom: 9%;
    top: 37%;
    left: 18.5%;
}
.preRegDiv .section_top .top-emoji.top-emoji-angry-left.top-emoji-angry-left2{
    width: 7%;
    padding-bottom: 8%;
    top: 41.5%;
    right: 27%;
}
/* top-emoji-angry-right */
.preRegDiv .section_top .top-emoji.top-emoji-angry-right{
    height: 0;
    animation: pulse2 .7s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-angry-right{
    background-image: url(/skin/images/top-emoji-angry-right.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-angry-right{
    background-image: url(/skin/images/webp/top-emoji-angry-right.webp);
}
.preRegDiv .section_top .top-emoji.top-emoji-angry-right.top-emoji-angry-right1{
    width: 6.5%;
    padding-bottom: 7.5%;
    top: 40%;
    left: 36%;
}
.preRegDiv .section_top .top-emoji.top-emoji-angry-right.top-emoji-angry-right2{
    width: 8.5%;
    padding-bottom: 9.5%;
    top: 39%;
    right: 4.5%;
}
/* top-emoji-angry-tick */
.preRegDiv .section_top .top-emoji.top-emoji-angry-tick{
    height: 0;
    animation: pulse .5s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-angry-tick{
    background-image: url(/skin/images/top-emoji-angry-tick.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-angry-tick{
    background-image: url(/skin/images/webp/top-emoji-angry-tick.webp);
}
.preRegDiv .section_top .top-emoji.top-emoji-angry-tick.top-emoji-angry-tick1{
    width: 5%;
    padding-bottom: 5%;
    top: 41%;
    left: 26.5%;
}
.preRegDiv .section_top .top-emoji.top-emoji-angry-tick.top-emoji-angry-tick2{
    width: 5%;
    padding-bottom: 5%;
    top: 51%;
    left: 26.5%;
}
.preRegDiv .section_top .top-emoji.top-emoji-angry-tick.top-emoji-angry-tick3{
    width: 5%;
    padding-bottom: 5%;
    top: 43%;
    right: 15.5%;
    transform: rotateZ(-45deg);
}
/* top-emoji-interrobang */
.preRegDiv .section_top .top-emoji.top-emoji-interrobang{
    width: 8%;
    height: 0;
    padding-bottom: 10%;
    top: 44%;
    left: 2.5%;
    animation: swing .5s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top-emoji.top-emoji-interrobang{
    background-image: url(/skin/images/top-emoji-interrobang.png);
}
.webp .preRegDiv .section_top .top-emoji.top-emoji-interrobang{
    background-image: url(/skin/images/webp/top-emoji-interrobang.webp);
}

@keyframes blink-soft {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
}
@keyframes swing {
    0%   { transform: rotate(0deg); }
    25%  { transform: rotate(20deg); }
    50%  { transform: rotate(0deg); }
    75%  { transform: rotate(-20deg); }
    100% { transform: rotate(0deg); }
}
@keyframes pulse {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
}
@keyframes pulse2 {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(0);
    }
}
@keyframes pulse3 {
    0%, 100% {
        transform: scale(1) rotateZ(-30deg);
    }
    50% {
        transform: scale(0) rotateZ(-30deg);
    }
}
@keyframes slideFade {
    0% {
        transform: translateY(0);
        opacity: 1;
    }
    70% {
        transform: translateY(30px);
        opacity: 0;
    }
    71% {
        transform: translateY(-30px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.preRegDiv .section_top .top_content{
    position: relative;
    z-index: 1;
    text-align: center;
    width: 100%;
}
.preRegDiv .section_top .top_content .top_title1{
    position: absolute;
    width: 35%;
    margin: 5% auto 0 65%;
}
.preRegDiv .section_top .top_content .top_title1 img{width: 100%;}
.preRegDiv .section_top .top_content .top_title2{
    position: absolute;
    width: 90%;
    margin: 84% 5% 0 5%;
}
.preRegDiv .section_top .top_content .top_title2 img{width: 100%;}
.preRegDiv .section_top .top_content .top_title2 {
    position: absolute;
    width: 90%;
    margin: 144% 5% 0 5%;
}
.preRegDiv .section_top .top_content .top_platDiv {
    position: absolute;
    width: 98%;
    margin: 125% 1% 0 1%;
    display: flex;
    align-items: center;
}
.preRegDiv .section_top .top_content .top_platDiv .to_app_store_join_lottery {
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    width: 102%;
    height: 0;
    padding-bottom: 42%;
    margin-top: -40%;
    margin-left: -1%;
}
.no-webp .preRegDiv .section_top .top_content .top_platDiv .to_app_store_join_lottery {
    background-image: url(/event/pre-register/img/pre-to-app-store-reserve-join-lottery.png);
}
.webp .preRegDiv .section_top .top_content .top_platDiv .to_app_store_join_lottery {
    background-image: url(/event/pre-register/img/pre-to-app-store-reserve-join-lottery.webp);
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box{
    position: relative;
    width: 100%;
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_bg_light{
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    width: 70%;
    height: 0;
    padding-bottom: 52%;
}
.no-webp .preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_bg_light{
    background-image: url(../img/pre-register-circle-light.png);
}
.webp .preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_bg_light{
    background-image: url(../img/pre-register-circle-light.webp);
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_star_light{
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    width: 100%;
    height: 0;
    padding-bottom: 52%;
    margin-top: -15%;
    animation: blink-soft 1.2s ease-in-out infinite;
}
.no-webp .preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_star_light{
    background-image: url(../img/pre-register-star.png);
}
.webp .preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_star_light{
    background-image: url(../img/pre-register-star.webp);
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_bg{
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    width: 55%;
    height: 0;
    margin: 0 7%;
    padding-bottom: 52%;
}
.no-webp .preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_bg{
    background-image: url(../img/pre-register-box.png);
}
.webp .preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_bg{
    background-image: url(../img/pre-register-box.webp);
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_btn{
    position: relative;
    width: 100%;
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_btn.top_platDiv_btn_ios {
    position: absolute;
    left: -15%;
    margin-top: 8%;
    width: 81%;
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_btn.top_platDiv_btn_android{
    position: absolute;
    left: 69%;
    margin-top: 8%;
    width: 100%;
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_btn_img{
    width: 50%;
    position: absolute;
    margin-top: -2.5%;
    margin-left: 13%;
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box a {
    display: inline-block;
    margin: 0 -3%;
    transition: all .3s ease-in-out;
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box a:hover{
    opacity: .85;
}
.preRegDiv .section_top .top_content .top_platDiv .top_platDiv_box .top_platDiv_btn img{
    width: 100%;
}




.preRegDiv .section_pre {
    position: relative;
    z-index: 6;
    width: 100%;
    height: 0;
    padding-bottom: 700%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    margin-top: -15%;
}
.no-webp .preRegDiv .section_pre{
    background-image: url(/event/pre-register/img/pre-register-bg.png);
}
.webp .preRegDiv .section_pre{
    background-image: url(/event/pre-register/img/pre-register-bg.webp);
}

.preRegDiv .section_pre .pre_content{
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    /*overflow-y: auto;*/
}
.preRegDiv .section_pre .pre_content::-webkit-scrollbar {
    display: none;
}

.preRegDiv .section_pre .pre_content .lotteryDiv{
    width: 100%;
    position: relative;
    margin-top: 17%;
}
.preRegDiv .section_pre .pre_content .lotteryDiv img{
    width: 100%;

}
.preRegDiv .section_pre .pre_content .giftDiv{
    width: 95%;
    margin: 0 auto;
    position: relative;
}
.preRegDiv .section_pre .pre_content .giftDiv img{width: 100%;}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftImg{
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100%;
    position: absolute;
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftLight{
    width: 100%;
    height: 0;
    padding-bottom: 100%;
    left: -2%;
    top: 80%;
    animation: circle 7s linear infinite;
}
.no-webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftLight{
    background-image: url(/skin/images/pre-gift-light.png);
}
.webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftLight{
    background-image: url(/skin/images/webp/pre-gift-light.webp);
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftCao{
    width: 40%;
    height: 0;
    padding-bottom: 63%;
    left: 28.3%;
    top: 83%;
    animation: heartbeatCao 1.5s ease-in-out infinite;
}
.no-webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftCao{
    background-image: url(/skin/images/pre-gift-cao-cao.png);
}
.webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftCao{
    background-image: url(/skin/images/webp/pre-gift-cao-cao.webp);
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftStar{
    width: 100%;
    height: 0;
    padding-bottom: 100%;
    right: 0;
    top: 80%;
    animation: blink-soft .8s ease-in-out infinite;
}
.no-webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftStar{
    background-image: url(/skin/images/top-emoji-star.png);
}
.webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftStar{
    background-image: url(/skin/images/webp/top-emoji-star.webp);
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftName {
    width: 40%;
    height: 0;
    padding-bottom: 13%;
    left: 30%;
    top: 94%;
}
.no-webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftName{
    background-image: url(/skin/images/pre-gift-cao-cao-name.png);
}
.webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftName{
    background-image: url(/skin/images/webp/pre-gift-cao-cao-name.webp);
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess{
    width: 50%;
    height: 0;
    padding-bottom: 30%;
    display: none;
    left: 23%;
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess.active{
    display: inline-block;
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess.preGiftSuccess1.active{
    top: 7.5%;
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess.preGiftSuccess2.active{
    top: 27%;
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess.preGiftSuccess3.active{
    top: 46.5%;
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess.preGiftSuccess4.active{
    top: 66%;
}
.preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess.preGiftSuccess5.active{
    top: 87%;
}
.no-webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess{
    background-image: url(/skin/images/gift-success.png);
}
.webp .preRegDiv .section_pre .pre_content .giftDiv .preGiftSuccess{
    background-image: url(/skin/images/webp/gift-success.webp);
}
@keyframes circle {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
@keyframes heartbeatCao {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}



/* 淡入動畫 */
.fade-enter-active {
    animation: fadeIn 0.3s ease forwards;
}
.fade-leave-active {
    animation: fadeOut 0.3s ease forwards;
}

/* 對應 keyframes */
@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}
@keyframes fadeOut {
    from { opacity: 1; }
    to { opacity: 0; }
}






@media screen and (max-width: 1024px) and (min-width: 720px){

}

.preRegDiv .footerDiv{
    position: relative;
    z-index: 10;
}
.preRegDiv .footerDiv .footerDivBox {
    width: 95%;
}
.preRegDiv .footerDiv .footerTopDiv {
    width: 90%;
    margin: 2% auto;
}
.preRegDiv .footerDiv .footerMiddleDiv .footerIntro {
    padding-bottom: 25%;
}
.preRegDiv .footerDiv .footerMiddleDiv {
    width: 98%;
    margin: 4% auto 7% auto;
}
.preRegDiv .footerDiv .footerNotice p {
    margin: .5% 0;
    font-size: 2.7vw;
}
.preRegDiv .footerDiv .footerADiv a {
    margin: 0 2%;
    font-size: 4vw;
}
.preRegDiv .footerDiv .footerADiv a:nth-child(2)::before {
    top: 0;
}
.preRegDiv .footerDiv .footerADiv a:nth-child(3)::before {
    top: 0;
}
.preRegDiv .footerDiv .footerBottomDiv {
    font-size: .6rem;
    margin: 1% 0 0 0;
}
.preRegDiv .footerDiv .footerMiddleDiv .footerGameIntro {
    color: #ffffff;
    position: absolute;
    font-size: 3vw;
    margin: .7% 0;
    right: 2%;
    bottom: -15%;
}

@keyframes heartbeat {
    0% {
        transform: scale(1);
    }
    25% {
        transform: scale(1.05);
    }
    50% {
        transform: scale(1);
    }
    75% {
        transform: scale(1.05);
    }
    100% {
        transform: scale(1);
    }
}

@media screen and (min-width: 720px){
    .preRegDiv {
        width: 40%;
        margin: 0 auto;
    }

    .preRegDiv .footerDiv .footerNotice p {
        font-size: 1vw;
    }
    .preRegDiv .footerDiv .footerADiv a {
        font-size: 1.25vw;
    }
    .preRegDiv .footerDiv .footerADiv a:nth-child(2):before ,
    .preRegDiv .footerDiv .footerADiv a:nth-child(3):before {
        top: -12%;
    }
    .preRegDiv .footerDiv .footerBottomDiv {
        font-size: .9vw;
    }
    .preRegDiv .footerDiv .footerMiddleDiv .footerGameIntro {
        font-size: 1vw;
        right: 11%;
        bottom: -10%;
    }
}


